## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without check

%global tag      v1.3.12
%global forgeurl https://github.com/pop-os/keyboard-configurator
Version:         1.3.12
%forgemeta

Name:          system76-keyboard-configurator
Release:       %autorelease
Summary:       System76 Keyboard Configurator

# * system76-keyboard-configurator: GPL-3.0-or-later
# * Rust crate dependencies:
#   (MIT OR Apache-2.0) AND Unicode-DFS-2016
#   Apache-2.0
#   Apache-2.0 OR BSL-1.0
#   Apache-2.0 OR MIT
#   Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
#   MIT
#   MIT OR Apache-2.0
#   Unicode-DFS-2016
#   Unlicense OR MIT
# LICENSE.dependencies contains a full license breakdown
License:       GPL-3.0-or-later AND Apache-2.0 AND MIT AND Unicode-DFS-2016 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Unlicense OR MIT)
URL:           %{forgeurl}
Source:        %{forgesource}

Patch0:        0001-update-i18n-embed-and-rust-embed-dependencies.patch
# Submitted for inclusion upstream.
# https://github.com/pop-os/keyboard-configurator/pull/117
Patch1:        0002-update-palette-dependency-to-0.6.patch
# not upstreamable due to MSRV policy
Patch2:        0003-update-zbus-dependency-to-4.patch

BuildRequires: cargo-rpm-macros >= 24
BuildRequires: desktop-file-utils
BuildRequires: /usr/bin/appstream-util


%description
Application for configuration of System76 keyboard firmware.


%prep
%forgeautosetup -p1
%cargo_prep


%generate_buildrequires
%cargo_generate_buildrequires


%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies


%install
%cargo_install
%__install -D -m 0644 -vp linux/com.system76.keyboardconfigurator.desktop                %{buildroot}%{_datadir}/applications/com.system76.keyboardconfigurator.desktop
%__install -D -m 0644 -vp linux/com.system76.keyboardconfigurator.appdata.xml            %{buildroot}%{_datadir}/metainfo/com.system76.keyboardconfigurator.appdata.xml
%__install -D -m 0644 -vp data/icons/scalable/apps/com.system76.keyboardconfigurator.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/com.system76.keyboardconfigurator.svg    
%__install -D -m 0644 -vp debian/com.system76.pkexec.keyboardconfigurator.policy         %{buildroot}%{_datadir}/polkit-1/actions/com.system76.pkexec.keyboardconfigurator.policy 


%if %{with check}
%check
%cargo_test
desktop-file-validate                 linux/com.system76.keyboardconfigurator.desktop
appstream-util validate-relax --nonet linux/com.system76.keyboardconfigurator.appdata.xml
%endif


%files
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/com.system76.keyboardconfigurator.desktop
%{_datadir}/metainfo/com.system76.keyboardconfigurator.appdata.xml
%{_datadir}/icons/hicolor/scalable/apps/com.system76.keyboardconfigurator.svg
%{_datadir}/polkit-1/actions/com.system76.pkexec.keyboardconfigurator.policy


%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Oct 17 2024 Fabio Valentini <decathorpe@gmail.com> - 1.3.12-2
- Bump zbus dependency from 3 to 4

* Sat Sep 28 2024 Fabio Valentini <decathorpe@gmail.com> - 1.3.12-1
- Update to version 1.3.12; Fixes RHBZ#2294236

* Mon Aug 05 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.3.10-5
- Bump i18n-embed and associated dependencies to the latest versions

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri May 24 2024 Fabio Valentini <decathorpe@gmail.com> - 1.3.10-3
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Dec 21 2023 Link Dupont <linkdupont@fedoraproject.org> - 1.3.10-1
- Update to 1.3.10 (RHBZ#2243283)

* Mon Sep 18 2023 Fabio Valentini <decathorpe@gmail.com> - 1.3.9-4
- Update license tag to SPDX; account for statically linked Rust crates

* Mon Sep 18 2023 Fabio Valentini <decathorpe@gmail.com> - 1.3.9-3
- Update Rust packaging and drop cargo_generate_buildrequires workaround

* Wed Aug 30 2023 Link Dupont <linkdupont@fedoraproject.org> - 1.3.9-1
- New upstream version 1.3.9 (RHBZ#2212018)

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 18 2023 Link Dupont <linkdupont@fedoraproject.org> - 1.3.7-1
- New upstream version 1.3.7 (RHBZ#2212018)

* Wed May 24 2023 Link Dupont <linkdupont@fedoraproject.org> - 1.3.3-2
- New upstream version (RHBZ#2192843)

* Wed Mar 29 2023 Link Dupont <linkdupont@fedoraproject.org> - 1.3.1-1
- New upstream version (RHBZ#2182528)

* Sun Feb 05 2023 Fabio Valentini <decathorpe@gmail.com> - 1.3.0-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros.

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Nov 17 2022 Link Dupont <linkdupont@fedoraproject.org> - 1.3.0-1
- New upstream version (RHBZ#2143483)

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Link Dupont <linkdupont@fedoraproject.org> - 1.2.0-1
- New upstream version (RHBZ#2101683)

* Sat Feb 12 2022 Link Dupont <linkdupont@fedoraproject.org> - 1.0.0-5
- New upstream snapshot

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 22 2021 Link Dupont <linkdupont@fedoraproject.org> - 1.0.0-3.20211119git38c1c7b
- Patch to fix FTBFS with palette-0.6

* Mon Nov 22 2021 Link Dupont <linkdupont@fedoraproject.org> - 1.0.0-2.20211119git38c1c7b
- Updated dependencies

* Fri Oct  1 2021 Link Dupont <linkdupont@fedoraproject.org> - 1.0.0-1
- Initial package

## END: Generated by rpmautospec
